View Issue Details

IDProjectCategoryView StatusLast Update
0000706luatexfeature requestpublic2015-10-22 23:28
ReporterphiAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformCore 2 DuoOSOS XOS Version10.6.8
Product Version0.70.1 
Target VersionFixed in Version0.82.0 
Summary0000706: \Umathcode might be turned into a convert command
DescriptionAt present the behavior of \Umathcode is not symmetric: On assignment, it expects three numbers, but it can also be used as a single number (then equivalent to \Umathcodenum). Therefore I propose the following:

http://tug.org/pipermail/lualatex-dev/2011-July/001264.html

That is, \Umathcode <number> or \the\Umathcode <number> (no idea which is better, probably the latter) should expand to <class number><space><family number><space><code point number><space>. Same with \Udelcode, of course.
Tagsmath

Activities

Hans Hagen

2015-10-22 23:28

manager   ~0001470

implemented:

\Umathcode 1 2 3 4

\Umathcharclass 1
\Umathcharfam 1
\Umathcharslot 1

Issue History

Date Modified Username Field Change
2011-08-06 11:22 phi New Issue
2012-04-09 04:38 Khaled Hosny Tag Attached: math
2015-10-22 23:28 Hans Hagen Note Added: 0001470
2015-10-22 23:28 Hans Hagen Assigned To => Hans Hagen
2015-10-22 23:28 Hans Hagen Status new => assigned
2015-10-22 23:28 Hans Hagen Status assigned => closed
2015-10-22 23:28 Hans Hagen Resolution open => fixed
2015-10-22 23:28 Hans Hagen Fixed in Version => 0.82.0